Invite user in organization
POST
/users
const url = 'https://api.muninx.com/users';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"[email protected]","name":"Jane","last-name":"Doe","type":"customer","organization":"acme-customer-1"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/users \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "[email protected]", "name": "Jane", "last-name": "Doe", "type": "customer", "organization": "acme-customer-1" }'Creates a pending user for an existing organization and sends an activation email. Admins and agents require an agent-type; customers cannot have one.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
email
required
string format: email
name
required
string
last-name
required
string
organization
Used for customers. Agents and admins are assigned to the authenticated tenant organization.
string
type
required
string
agent-type
string
challenge
Optional challenge override. Normally generated automatically.
string
created-at
string format: date-time
Example
{ "name": "Jane", "last-name": "Doe", "type": "customer", "organization": "acme-customer-1"}Responses
Section titled “ Responses ”OK
Media type application/json
string
Example
A confirmation email has been sent to the new user's emailRFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}